-- Copyright (C) 2009 John Millikin <jmillikin@gmail.com>
-- 
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
-- 
-- |
-- Maintainer  : John Millikin <jmillikin@gmail.com>
-- Stability   : experimental
-- Portability : non-portable (FFI)
-- 
-- Most operations on the keyring and its items have both synchronous
-- and asynchronous variants. The 'Operation' type allows these to be
-- combined in a single value, to reduce the overall size of the API.
-- 
module Gnome.Keyring.Operation
	( Operation
	, CancellationKey
	, Error (..)
	, async
	, async'
	, sync
	, cancel
	) where
import Gnome.Keyring.Misc
import Gnome.Keyring.Internal.Operation
import Gnome.Keyring.Internal.Types
